## com.google.javascript.jscomp
Interface InstrumentationOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Instrumentation, Instrumentation.Builder

    public interface InstrumentationOrBuilder

extends com.google.protobuf.MessageOrBuilder

Method Summary
`String` | `getAppNameSetter()`
`String` | `getDeclarationToRemove(int index)`
`int` | `getDeclarationToRemoveCount()`
`List<String>` | `getDeclarationToRemoveList()`
`String` | `getInit(int index)`
`int` | `getInitCount()`
`List<String>` | `getInitList()`
`String` | `getReportCall()`
`String` | `getReportDefined()`
`String` | `getReportExit()`
`boolean` | `hasAppNameSetter()`
`boolean` | `hasReportCall()`
`boolean` | `hasReportDefined()`
`boolean` | `hasReportExit()`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder
`isInitialized`

Method Detail

### hasReportDefined

    boolean hasReportDefined()

### getReportDefined

    String getReportDefined()

### hasReportCall

    boolean hasReportCall()

### getReportCall

    String getReportCall()

### hasReportExit

    boolean hasReportExit()

### getReportExit

    String getReportExit()

### getDeclarationToRemoveList

    List<String> getDeclarationToRemoveList()

### getDeclarationToRemoveCount

    int getDeclarationToRemoveCount()

### getDeclarationToRemove

    String getDeclarationToRemove(int index)

### getInitList

    List<String> getInitList()

### getInitCount

    int getInitCount()

### getInit

    String getInit(int index)

### hasAppNameSetter

    boolean hasAppNameSetter()

### getAppNameSetter

    String getAppNameSetter()